using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Door : Toilet
{
    private Collider2D m_Collider;

    protected override void Awake()
    {
        base.Awake();

        m_Collider = GetComponentInChildren<Collider2D>();
    }

    public override void StartEvent()
    {
        base.StartEvent();

        m_Collider.enabled = true;
    }

    protected override void Repair()
    {
        base.Repair();

        m_Collider.enabled = false;
    }
}
